SPTH='/data'
cd $SPTH
export SPTH

folder='/data'

mkdir -p 'compressed'
cd 'compressed'
export folder

python3.7 /reorganized.py $2 $1

python3.7 /jp2_new.py

python3.7 /szip.py

python3.7 /webp.py

python3.7 /jpls_comp.py

python3.7 /png.py

sh /zip.sh
sh /targz.sh
sh /tarxz.sh
sh /tarbz2.sh
sh /h265.sh
sh /webm.sh

echo "Original folder size: "
du -m --apparent-size /data/source


echo "jp2 folder size: "
du -m --apparent-size /data/compressed/Jp2

echo "szip folder size: "
du -m --apparent-size /data/compressed/Szip 

echo "webp folder size: "
du -m --apparent-size /data/compressed/Webp 

echo "jpls folder size: "
du -m --apparent-size /data/compressed/Jpls 

echo "png folder size: "
du -m --apparent-size /data/compressed/Png


echo "7z size: "
ls -l --b=M  archive1.7z | cut -d " " -f5 

echo "tar.gz size: "
ls -l --b=M  archive1.tar.gz | cut -d " " -f5 

echo "tar.xz size: "
ls -l --b=M  archive1.tar.xz | cut -d " " -f5 

echo "tar.bz2 size: "
ls -l --b=M  archive1.tar.bz2 | cut -d " " -f5 

echo "h265 size: "
ls -l --b=M  output.mp4 | cut -d " " -f5 

echo "webm size: "
ls -l --b=M  output.webm | cut -d " " -f5 
