#!/usr/bin/python3
import h5py
import glob
import numpy as np
from PIL import Image

flag = 0

files = glob.glob('/data/pics/*bin')
if not files:
    files = glob.glob('/data/pics/*tif')
    flag = 1

files.sort(key=lambda x: int(''.join(filter(str.isdigit, x))))

j = 0
for file in files:

    if flag == 1:
        A = Image.open(file)
        A = np.array(A)

    else:
        A = np.fromfile(file, dtype='uint8', sep="")
    if 'no' in file:
        f = h5py.File('/data/compressed/Szip/no ' + str(j) + '.h5', 'w')
        f.create_dataset('dset_szip', data=A, compression='szip')
        f.close()
    else:
        f = h5py.File('/data/compressed/Szip/' + str(j) + '.h5', 'w')
        f.create_dataset('dset_szip', data=A, compression='szip')
        f.close()
    j = j + 1


