import os
import jpeg_ls
import glob
import numpy as np
import cv2
from PIL import Image


flag = 0

files = glob.glob('/data/pics/*bin')

if not files:
    files = glob.glob('/data/pics/*tif')
    flag = 1

files.sort(key=lambda x: int(''.join(filter(str.isdigit, x))))
j = 0

for file in files:

    if flag == 1:
        A = Image.open(file)
        A = np.array(A)

    else:

        A = np.fromfile(file, dtype='uint8', sep="")

        factors = []
        for i in range(1, int(len(A))):
            if len(A) % i == 0:
                factors.append(i)
        index = int(len(factors) / 2)
        A = A.reshape(-1, factors[index])

    # Compress image data to a sequence of bytes.
    data_buffer = jpeg_ls.encode(A)
    output_file = open('/data/compressed/Jpls/' + str(j) + '.bin', 'wb')
    data_buffer.tofile(output_file)
    output_file.close()

    j += 1
