#!/usr/bin/python3.7

import glob
import numpy as np
from PIL import Image
import cv2
import shutil

files = glob.glob('/data/pics/*bin')

flag = 0
if not files:
    files = glob.glob('/data/pics/*.tif')
    flag = 1

files.sort(key=lambda x: int(''.join(filter(str.isdigit, x))))
j = 0

for file in files:
    if flag == 1:
        A = Image.open(file)
        A = np.array(A)
    else:
        A = np.fromfile(file, dtype='uint8', sep="")
        factors = []
        for i in range(1, int(len(A))):
            if len(A) % i == 0:
                factors.append(i)
        index = int(len(factors) / 2)

        A = A.reshape(-1, factors[index])

    im = Image.fromarray(A)
    im.save('/data/compressed/Png/' + str(j) + '.png', optimize=True)
    j = j + 1

flag = 0
